/*
 * Copyright (c) 2016. Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 *
 * http://aws.amazon.com/apache2.0
 *
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

package com.amazonaws.codegen.model.intermediate;

import java.util.Map;

import com.fasterxml.jackson.annotation.JsonProperty;

public class ExampleComments {
	
	private final Map<String, String> inputComments;
	private final Map<String, String> outputComments;
	
    public ExampleComments(
            @JsonProperty(value = "input", required = true) Map<String, String> inputComments,
            @JsonProperty(value = "output", required = true) Map<String, String> outputComments) {
        this.inputComments = inputComments;
        this.outputComments = outputComments;
    }
	
	public Map<String, String> getInputComments() {
		return inputComments;
	}
	
	public Map<String, String> getOutputComments() {
		return outputComments;
	}

}
